LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Typedefs | Functions
input_map.h File Reference
Internal API

Button namespace derived from Linux input layer. More...

`#include <stdio.h>`
`#include <stdint.h>`
`#include <sys/types.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Typedefs
typedef unsigned short | linux_input_code

## Functions
int | get_input_code (const char *name, linux_input_code *code)
void | fprint_namespace (FILE *f)
int | is_in_namespace (const char *name)

## Detailed Description

Button namespace derived from Linux input layer.

Definition in file input_map.h.

## Typedef Documentation

## ◆ linux_input_code

typedef unsigned short linux_input_code

Definition at line 37 of file input_map.h.

## Function Documentation

## ◆ fprint_namespace()

void fprint_namespace | ( | FILE * | f | ) |

Definition at line 50 of file input_map.c.

## ◆ get_input_code()

int get_input_code | ( | const char * | name,
|  | linux_input_code * | code
| ) |  |

Definition at line 37 of file input_map.c.

## ◆ is_in_namespace()

int is_in_namespace | ( | const char * | name | ) |

Definition at line 58 of file input_map.c.